Skip to content

Instantly share code, notes, and snippets.

Marc Savy msavy

Block or report user

Report or block msavy

Hide content and notifications from this user.

Learn more about blocking users

Contact Support about this user’s behavior.

Learn more about reporting abuse

Report abuse
View GitHub Profile
View gist:a1b4307fb238a543dfd6af426b42d446
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building apiman-test-common 1.2.10-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[DEBUG] Lifecycle default -> [validate, initialize, generate-sources, process-sources, generate-resources, process-resources, compile, process-classes, generate-test-sources, process-test-sources, generate-test-resources, process-test-resources, test-compile, process-test-classes, test, prepare-package, package, pre-integration-test, integration-test, post-integration-test, verify, install, deploy]
[DEBUG] Lifecycle clean -> [pre-clean, clean, post-clean]
[DEBUG] Lifecycle site -> [pre-site, site, post-site, site-deploy]
[DEBUG] Lifecycle default -> [validate, initialize, generate-sources, process-sources, generate-resources, process-resources, compile, process-classes, generate-test-sources, process-test-sources, generate-test-resources, process-test-resources, test-compile, process-test-classe
View gist:5fe09f7bc2f55b02bf9f8e7e9fb7bb40
java.lang.UnsupportedClassVersionError: io/apiman/studio/fe/war/servlets/AngularServlet : Unsupported major.minor version 52.0 (unable to load class io.apiman.studio.fe.war.servlets.AngularServlet)
org.apache.catalina.loader.WebappClassLoaderBase.findClassInternal(WebappClassLoaderBase.java:2280)
org.apache.catalina.loader.WebappClassLoaderBase.findClass(WebappClassLoaderBase.java:811)
org.apache.catalina.loader.WebappClassLoaderBase.loadClass(WebappClassLoaderBase.java:1254)
org.apache.catalina.loader.WebappClassLoaderBase.loadClass(WebappClassLoaderBase.java:1119)
org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:462)
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:80)
org.apache.catalina.valves.AbstractAccessLogValve.invoke(AbstractAccessLogValve.java:624)
org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:341)
org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:783)
View es-exception1.stacktrace
io.apiman.gateway.engine.beans.exceptions.RequestAbortedException
at io.apiman.gateway.engine.impl.ApiRequestExecutorImpl$3.abort(ApiRequestExecutorImpl.java:737)
at io.apiman.gateway.platforms.servlet.GatewayServlet$2.handle(GatewayServlet.java:173)
at io.apiman.gateway.platforms.servlet.GatewayServlet$2.handle(GatewayServlet.java:160)
at io.apiman.gateway.engine.impl.ApiRequestExecutorImpl.handleStream(ApiRequestExecutorImpl.java:709)
at io.apiman.gateway.engine.impl.ApiRequestExecutorImpl.lambda$null$3(ApiRequestExecutorImpl.java:270)
at io.apiman.gateway.engine.policy.Chain.handleHead(Chain.java:211)
at io.apiman.gateway.engine.policy.Chain.doApply(Chain.java:150)
at io.apiman.gateway.engine.impl.ApiRequestExecutorImpl.lambda$execute$4(ApiRequestExecutorImpl.java:273)
at io.apiman.gateway.engine.impl.ApiRequestExecutorImpl.loadPolicies(ApiRequestExecutorImpl.java:607)
View openid-configuration.json
{
"issuer": "http://localhost:8080/auth/realms/apiman",
"authorization_endpoint": "http://localhost:8080/auth/realms/apiman/protocol/openid-connect/auth",
"token_endpoint": "http://localhost:8080/auth/realms/apiman/protocol/openid-connect/token",
"token_introspection_endpoint": "http://localhost:8080/auth/realms/apiman/protocol/openid-connect/token/introspect",
"userinfo_endpoint": "http://localhost:8080/auth/realms/apiman/protocol/openid-connect/userinfo",
"end_session_endpoint": "http://localhost:8080/auth/realms/apiman/protocol/openid-connect/logout",
"jwks_uri": "http://localhost:8080/auth/realms/apiman/protocol/openid-connect/certs",
"grant_types_supported": ["authorization_code", "implicit", "refresh_token", "password", "client_credentials"],
"response_types_supported": ["code", "none", "id_token", "token", "id_token token", "code id_token", "code token", "code id_token token"],
View gist:09fb9a6c9184dbfc7743d833df03cd45
Cask instance method 'homepage':
--- https://derailer.org/iloc/
...
==> Cask instance method 'url':
--- !ruby/object:Hbc::URL
uri: !ruby/object:URI::HTTPS
scheme: https
user:
password:
host: derailer.org
View gist:630010e32580d625c39c6d47daf5c9ef
java.lang.NullPointerException
at io.apiman.gateway.engine.impl.ApiRequestExecutorImpl.recordSuccessMetrics(ApiRequestExecutorImpl.java:192)
at io.apiman.gateway.engine.impl.ApiRequestExecutorImpl.lambda-bash(ApiRequestExecutorImpl.java:176)
at io.apiman.gateway.engine.impl.ApiRequestExecutorImpl.lambda6(ApiRequestExecutorImpl.java:785)
at io.apiman.gateway.engine.policy.Chain.doFailure(Chain.java:230)
at io.apiman.plugins.jwt.JWTPolicy.doJwt(JWTPolicy.java:68)
at io.apiman.plugins.jwt.JWTPolicy.doApply(JWTPolicy.java:49)
at io.apiman.plugins.jwt.JWTPolicy.doApply(JWTPolicy.java:30)
at io.apiman.gateway.engine.policies.AbstractMappedPolicy.apply(AbstractMappedPolicy.java:70)
at io.apiman.gateway.engine.policy.RequestChain.applyPolicy(RequestChain.java:68)
View gist:afba95cac197f7f1a228b5e6401612ee
[msavy@mmbp oai-ts-core](master)$ npm install
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
> fsevents@1.0.15 install /Users/msavy/tmp/oai-ts-core/node_modules/fsevents
> node-pre-gyp install --fallback-to-build
[fsevents] Success: "/Users/msavy/tmp/oai-ts-core/node_modules/fsevents/lib/binding/Release/node-v48-darwin-x64/fse.node" is installed via remote
oai-ts-core@0.0.1 /Users/msavy/tmp/oai-ts-core
├── @types/core-js@0.9.34
├── @types/jasmine@2.5.38
View BlockedThreadChecker
Oct 24, 2016 5:44:39 PM io.vertx.core.impl.BlockedThreadChecker
WARNING: Thread Thread[vert.x-eventloop-thread-1,5,main] has been blocked for 5853 ms, time limit is 2000
io.vertx.core.VertxException: Thread blocked
at sun.misc.Unsafe.park(Native Method)
at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
at java.util.concurrent.locks.AbstractQueuedSynchronizer.parkAndCheckInterrupt(AbstractQueuedSynchronizer.java:836)
at java.util.concurrent.locks.AbstractQueuedSynchronizer.doAcquireSharedInterruptibly(AbstractQueuedSynchronizer.java:997)
at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquireSharedInterruptibly(AbstractQueuedSynchronizer.java:1304)
at java.util.concurrent.CountDownLatch.await(CountDownLatch.java:231)
at io.apiman.gateway.engine.influxdb.InfluxDb09Metrics.listDatabases(InfluxDb09Metrics.java:215)
View gist:a0ba1ed74e72b98504813e393ada1ea6
[msavy@mmbp homebrew-core](test)$ brew audit --new-formula gofabric8
Error: type mismatch: String given
Please report this bug:
https://git.io/brew-troubleshooting
/usr/local/Homebrew/Library/Homebrew/cmd/search.rb:153:in `=~'
/usr/local/Homebrew/Library/Homebrew/cmd/search.rb:153:in `block in search_tap'
/usr/local/Homebrew/Library/Homebrew/cmd/search.rb:153:in `select'
/usr/local/Homebrew/Library/Homebrew/cmd/search.rb:153:in `search_tap'
/usr/local/Homebrew/Library/Homebrew/dev-cmd/audit.rb:346:in `block (2 levels) in audit_formula_name'
View gist:bb3ca05c7faa8ac7016beffb2b710c63
[msavy@mmbp test](mkdir_with_intermediates)$ brew tests
Run options: --seed 41476
# Running:
.................................................................................................................................................................................S......S................S............F.................S........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
You can’t perform that action at this time.